Bug 1208685 - Wacom pen/touch not working on thinkpad X230t (worked in F21)
Summary: Wacom pen/touch not working on thinkpad X230t (worked in F21)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-02 20:33 UTC by Colin Macdonald
Modified: 2015-04-26 12:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-24 21:35:03 UTC
Type: Bug


Attachments (Terms of Use)
Xorg.0.log (32.05 KB, text/plain)
2015-04-02 20:36 UTC, Colin Macdonald
no flags Details

Description Colin Macdonald 2015-04-02 20:33:39 UTC
I installed F22 Alpha on my Thinkpad X230t to F22.  The Wacom touchscreen and pen do not work.  I applied all updates, still not working.

They show up in xinput:

[~] xinput
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ SynPS/2 Synaptics TouchPad              	id=13	[slave  pointer  (2)]
⎜   ↳ TPPS/2 IBM TrackPoint                   	id=14	[slave  pointer  (2)]
⎜   ↳ Wacom ISDv4 E6 Finger                   	id=11	[slave  pointer  (2)]
⎜   ↳ Wacom ISDv4 E6 Pen eraser               	id=16	[slave  pointer  (2)]
⎜   ↳ Wacom ISDv4 E6 Pen stylus               	id=10	[slave  pointer  (2)]

But nothing happens in "xev".  gnome-settings just says "no tablet detected".  In the journal, I can see:

Mar 30 21:14:25 localhost.localdomain /usr/libexec/gdm-x-session[1754]: (II) Using input driver 'wacom' for 'Wacom ISDv4 E6 Pen'
Mar 30 21:14:25 localhost.localdomain /usr/libexec/gdm-x-session[1754]: (II) Using input driver 'wacom' for 'Wacom ISDv4 E6 Pen eraser'

The only anamolous looking things are:

Mar 30 21:13:08 localhost.localdomain gnome-session[1833]: (gnome-settings-daemon:1922): wacom-plugin-WARNING **: No default area could be obtained from the device

Any perhaps these:

Mar 30 21:08:03 localhost.localdomain kernel: input: Wacom ISDv4 E6 Pen as /devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.5/4-1.5:1.0/0003:056A:00E6.0001/input/input9
Mar 30 21:08:03 localhost.localdomain kernel: wacom 0003:056A:00E6.0001: hidraw0: USB HID v1.11 Device [Tablet ISD-V4] on usb-0000:00:1d.0-1.5/input0
Mar 30 21:08:03 localhost.localdomain kernel: input: Wacom ISDv4 E6 Finger as /devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.5/4-1.5:1.1/0003:056A:00E6.0002/input/input11
Mar 30 21:08:03 localhost.localdomain kernel: wacom 0003:056A:00E6.0002: hidraw1: USB HID v1.11 Mouse [Tablet ISD-V4] on usb-0000:00:1d.0-1.5/input1

- - - - - - - - - - - - - - - - - -

I have an old phyiscally broken X201t: booted the alpha release media on that and both pen and touch worked!

Here xinput calls the device:

Wacom Serial Penabled 2FG Touchscreen stylus
Wacom Serial Penabled 2FG Touchscreen eraser
Wacom Serial Penabled 2FG Touchscreen touch

And elsewhere at "WACf004".

Comment 1 Colin Macdonald 2015-04-02 20:36:37 UTC
Created attachment 1010362 [details]
Xorg.0.log

Comment 2 Colin Macdonald 2015-04-02 20:39:47 UTC
--------------------------------------------
# systemctl status wacom-inputattach@ttyS0.servicewacom-inputattach@ttyS0.service - inputattach for Wacom ISDv4-compatible serial devices
   Loaded: loaded (/usr/lib/systemd/system/wacom-inputattach@.service; static; vendor preset: disabled)
   Active: inactive (dead)

--------------------------------------------
# evemu-describe
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Sleep Button
/dev/input/event2:	Power Button
/dev/input/event3:	AT Translated Set 2 keyboard
/dev/input/event4:	SynPS/2 Synaptics TouchPad
/dev/input/event5:	Video Bus
/dev/input/event6:	ThinkPad Extra Buttons
/dev/input/event7:	Wacom ISDv4 E6 Pen
/dev/input/event8:	Wacom ISDv4 E6 Finger
/dev/input/event9:	Integrated Camera
/dev/input/event10:	HDA Intel PCH Mic
/dev/input/event11:	HDA Intel PCH Dock Mic
/dev/input/event12:	HDA Intel PCH Headphone
/dev/input/event13:	HDA Intel PCH Dock Headphone
/dev/input/event14:	HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event15:	HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event16:	TPPS/2 IBM TrackPoint
Select the device event number [0-16]: 8
# EVEMU 1.2
# Input device name: "Wacom ISDv4 E6 Finger"
# Input device ID: bus 0x03 vendor 0x56a product 0xe6 version 0x111
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 (SYN_DROPPED)
#     Event code 4 ((null))
#     Event code 5 ((null))
#     Event code 6 ((null))
#     Event code 7 ((null))
#     Event code 8 ((null))
#     Event code 9 ((null))
#     Event code 10 ((null))
#     Event code 11 ((null))
#     Event code 12 ((null))
#     Event code 13 ((null))
#     Event code 14 ((null))
#   Event type 1 (EV_KEY)
#     Event code 330 (BTN_TOUCH)
#   Event type 3 (EV_ABS)
#     Event code 0 (ABS_X)
#       Value    535
#       Min        0
#       Max     2776
#       Fuzz       0
#       Flat       0
#       Resolution 10
#     Event code 1 (ABS_Y)
#       Value    536
#       Min        0
#       Max     1569
#       Fuzz       0
#       Flat       0
#       Resolution 10
#     Event code 47 (ABS_MT_SLOT)
#       Value      0
#       Min        0
#       Max        1
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 53 (ABS_MT_POSITION_X)
#       Value      0
#       Min        0
#       Max     2776
#       Fuzz       4
#       Flat       0
#       Resolution 10
#     Event code 54 (ABS_MT_POSITION_Y)
#       Value      0
#       Min        0
#       Max     1569
#       Fuzz       4
#       Flat       0
#       Resolution 10
#     Event code 57 (ABS_MT_TRACKING_ID)
#       Value      0
#       Min        0
#       Max    65535
#       Fuzz       0
#       Flat       0
#       Resolution 0
# Properties:
#   Property  type 1 (INPUT_PROP_DIRECT)
N: Wacom ISDv4 E6 Finger
I: 0003 056a 00e6 0111
P: 02 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 04 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 03 00 00 00 00 80 60 02
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
A: 00 0 2776 0 0 10
A: 01 0 1569 0 0 10
A: 2f 0 1 0 0 0
A: 35 0 2776 4 0 10
A: 36 0 1569 4 0 10
A: 39 0 65535 0 0 0

--------------------------------------------
# cat /proc/bus/input/devices
I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
U: Uniq=
H: Handlers=event0 
B: PROP=0
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
U: Uniq=
H: Handlers=kbd event1 
B: PROP=0
B: EV=3
B: KEY=4000 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2 
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab54
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3 
B: PROP=0
B: EV=120013
B: KEY=10000 0 0 0 402000000 3003078ff00f801 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input5
U: Uniq=
H: Handlers=mouse0 event4 
B: PROP=5
B: EV=b
B: KEY=e520 10000 0 0 0 0
B: ABS=660800011000003

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input7
U: Uniq=
H: Handlers=kbd event5 
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0019 Vendor=17aa Product=5054 Version=4101
N: Name="ThinkPad Extra Buttons"
P: Phys=thinkpad_acpi/input0
S: Sysfs=/devices/platform/thinkpad_acpi/input/input8
U: Uniq=
H: Handlers=kbd event6 rfkill 
B: PROP=0
B: EV=33
B: KEY=18040000 0 10000000000000 0 1501b02102004 c000080001114000 10e000000000000 0
B: MSC=10
B: SW=a

I: Bus=0003 Vendor=056a Product=00e6 Version=0111
N: Name="Wacom ISDv4 E6 Pen"
P: Phys=usb-0000:00:1d.0-1.5/input0
S: Sysfs=/devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.5/4-1.5:1.0/0003:056A:00E6.0001/input/input9
U: Uniq=
H: Handlers=mouse1 event7 
B: PROP=2
B: EV=b
B: KEY=1c03 0 0 0 0 0
B: ABS=1000003

I: Bus=0003 Vendor=056a Product=00e6 Version=0111
N: Name="Wacom ISDv4 E6 Finger"
P: Phys=usb-0000:00:1d.0-1.5/input1
S: Sysfs=/devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.5/4-1.5:1.1/0003:056A:00E6.0002/input/input11
U: Uniq=
H: Handlers=mouse2 event8 
B: PROP=2
B: EV=b
B: KEY=400 0 0 0 0 0
B: ABS=260800000000003

I: Bus=0003 Vendor=5986 Product=02d2 Version=0011
N: Name="Integrated Camera"
P: Phys=usb-0000:00:1a.0-1.6/button
S: Sysfs=/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.6/3-1.6:1.0/input/input13
U: Uniq=
H: Handlers=kbd event9 
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input14
U: Uniq=
H: Handlers=event10 
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Dock Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input15
U: Uniq=
H: Handlers=event11 
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input16
U: Uniq=
H: Handlers=event12 
B: PROP=0
B: EV=21
B: SW=4

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Dock Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input17
U: Uniq=
H: Handlers=event13 
B: PROP=0
B: EV=21
B: SW=4

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH HDMI/DP,pcm=3"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input18
U: Uniq=
H: Handlers=event14 
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH HDMI/DP,pcm=7"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input19
U: Uniq=
H: Handlers=event15 
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0011 Vendor=0002 Product=000a Version=0000
N: Name="TPPS/2 IBM TrackPoint"
P: Phys=synaptics-pt/serio0/input0
S: Sysfs=/devices/platform/i8042/serio1/serio2/input/input6
U: Uniq=
H: Handlers=mouse3 event16 
B: PROP=21
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Comment 3 Peter Hutterer 2015-04-08 06:45:13 UTC
run xinput list-props "Wacom ISDv4 E6 Pen stylus" and post the output here, same for the finger device. the xinput list shows the devices are detected, the log has no errors. though curiously the touch device is detected as a touchpad...

Comment 4 Colin Macdonald 2015-04-08 07:39:46 UTC
# xinput  list-props "Wacom ISDv4 E6 Pen stylus"
Device 'Wacom ISDv4 E6 Pen stylus':
	Device Enabled (138):	0
	Coordinate Transformation Matrix (140):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	Device Accel Profile (261):	0
	Device Accel Constant Deceleration (262):	1.000000
	Device Accel Adaptive Deceleration (263):	1.000000
	Device Accel Velocity Scaling (264):	10.000000
	Device Node (258):	"/dev/input/event7"
	Wacom Tablet Area (271):	0, 0, 27760, 15694
	Wacom Rotation (272):	0
	Wacom Pressurecurve (273):	0, 0, 100, 100
	Wacom Serial IDs (274):	230, 0, 2, 0, 0
	Wacom Serial ID binding (275):	0
	Wacom Pressure Threshold (276):	27
	Wacom Sample and Suppress (277):	2, 4
	Wacom Enable Touch (278):	1
	Wacom Hover Click (279):	0
	Wacom Enable Touch Gesture (280):	0
	Wacom Touch Gesture Parameters (281):	0, 0, 250
	Wacom Tool Type (282):	"STYLUS" (260)
	Wacom Button Actions (283):	"Wacom button action 0" (284), "Wacom button action 1" (285), "Wacom button action 2" (286)
	Wacom button action 0 (284):	1572865
	Wacom button action 1 (285):	1572867
	Wacom button action 2 (286):	1572866
	Wacom Pressure Recalibration (287):	1
	Device Product ID (259):	1386, 230
	Wacom Debug Levels (288):	0, 0

# xinput  list-props "Wacom ISDv4 E6 Finger"
Device 'Wacom ISDv4 E6 Finger':
	Device Enabled (138):	1
	Coordinate Transformation Matrix (140):	1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
	libinput Tapping Enabled (295):	1
	libinput Accel Speed (296):	0.000000
	libinput Natural Scrolling Enabled (297):	0
	libinput Send Events Modes Available (256):	1, 0
	libinput Send Events Mode Enabled (257):	0, 0
	libinput Left Handed Enabled (298):	0
	libinput Scroll Methods Available (299):	1, 1, 0
	libinput Scroll Method Enabled (300):	1, 0, 0
	Device Node (258):	"/dev/input/event8"
	Device Product ID (259):	1386, 230

Comment 5 Colin Macdonald 2015-04-08 13:20:02 UTC
# xinput --enable "Wacom ISDv4 E6 Pen stylus"

After this the pen works!  So that is a good workaround for me, but of course this will need a proper fix.

("*Finger" is already enabled but not working)

Comment 6 Peter Hutterer 2015-04-10 05:59:47 UTC
weird. first bit is probably something in GNOME disabling it, though I don't know what yet.

For the finger device: can you run evemu-record on it with a simple, short finger motion and post the output here. libinput looks like it's happy with it so it should send events. Make sure you update to the latest libinput in testing though.

Comment 7 Colin Macdonald 2015-04-20 16:52:14 UTC
# EVEMU 1.2
# Input device name: "Wacom ISDv4 E6 Finger"
# Input device ID: bus 0x03 vendor 0x56a product 0xe6 version 0x111
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 (SYN_DROPPED)
#     Event code 4 ((null))
#     Event code 5 ((null))
#     Event code 6 ((null))
#     Event code 7 ((null))
#     Event code 8 ((null))
#     Event code 9 ((null))
#     Event code 10 ((null))
#     Event code 11 ((null))
#     Event code 12 ((null))
#     Event code 13 ((null))
#     Event code 14 ((null))
#   Event type 1 (EV_KEY)
#     Event code 330 (BTN_TOUCH)
#   Event type 3 (EV_ABS)
#     Event code 0 (ABS_X)
#       Value   1561
#       Min        0
#       Max     2776
#       Fuzz       0
#       Flat       0
#       Resolution 10
#     Event code 1 (ABS_Y)
#       Value    726
#       Min        0
#       Max     1569
#       Fuzz       0
#       Flat       0
#       Resolution 10
#     Event code 47 (ABS_MT_SLOT)
#       Value      0
#       Min        0
#       Max        1
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 53 (ABS_MT_POSITION_X)
#       Value      0
#       Min        0
#       Max     2776
#       Fuzz       4
#       Flat       0
#       Resolution 10
#     Event code 54 (ABS_MT_POSITION_Y)
#       Value      0
#       Min        0
#       Max     1569
#       Fuzz       4
#       Flat       0
#       Resolution 10
#     Event code 57 (ABS_MT_TRACKING_ID)
#       Value      0
#       Min        0
#       Max    65535
#       Fuzz       0
#       Flat       0
#       Resolution 0
# Properties:
#   Property  type 1 (INPUT_PROP_DIRECT)
N: Wacom ISDv4 E6 Finger
I: 0003 056a 00e6 0111
P: 02 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 04 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 03 00 00 00 00 80 60 02
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
A: 00 0 2776 0 0 10
A: 01 0 1569 0 0 10
A: 2f 0 1 0 0 0
A: 35 0 2776 4 0 10
A: 36 0 1569 4 0 10
A: 39 0 65535 0 0 0
################################
#      Waiting for events      #
################################
E: 0.000000 0003 0039 0011	# EV_ABS / ABS_MT_TRACKING_ID   11
E: 0.000000 0003 0035 1939	# EV_ABS / ABS_MT_POSITION_X    1939
E: 0.000000 0003 0036 0539	# EV_ABS / ABS_MT_POSITION_Y    539
E: 0.000000 0001 014a 0001	# EV_KEY / BTN_TOUCH            1
E: 0.000000 0003 0000 1939	# EV_ABS / ABS_X                1939
E: 0.000000 0003 0001 0539	# EV_ABS / ABS_Y                539
E: 0.000000 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.103992 0003 0035 1937	# EV_ABS / ABS_MT_POSITION_X    1937
E: 0.103992 0003 0036 0550	# EV_ABS / ABS_MT_POSITION_Y    550
E: 0.103992 0003 0000 1937	# EV_ABS / ABS_X                1937
E: 0.103992 0003 0001 0550	# EV_ABS / ABS_Y                550
E: 0.103992 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.111989 0003 0035 1936	# EV_ABS / ABS_MT_POSITION_X    1936
E: 0.111989 0003 0036 0552	# EV_ABS / ABS_MT_POSITION_Y    552
E: 0.111989 0003 0000 1936	# EV_ABS / ABS_X                1936
E: 0.111989 0003 0001 0552	# EV_ABS / ABS_Y                552
E: 0.111989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.123988 0003 0035 1934	# EV_ABS / ABS_MT_POSITION_X    1934
E: 0.123988 0003 0036 0555	# EV_ABS / ABS_MT_POSITION_Y    555
E: 0.123988 0003 0000 1934	# EV_ABS / ABS_X                1934
E: 0.123988 0003 0001 0555	# EV_ABS / ABS_Y                555
E: 0.123988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.131993 0003 0035 1931	# EV_ABS / ABS_MT_POSITION_X    1931
E: 0.131993 0003 0036 0565	# EV_ABS / ABS_MT_POSITION_Y    565
E: 0.131993 0003 0000 1931	# EV_ABS / ABS_X                1931
E: 0.131993 0003 0001 0565	# EV_ABS / ABS_Y                565
E: 0.131993 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.143989 0003 0035 1928	# EV_ABS / ABS_MT_POSITION_X    1928
E: 0.143989 0003 0036 0573	# EV_ABS / ABS_MT_POSITION_Y    573
E: 0.143989 0003 0000 1928	# EV_ABS / ABS_X                1928
E: 0.143989 0003 0001 0573	# EV_ABS / ABS_Y                573
E: 0.143989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.152014 0003 0035 1924	# EV_ABS / ABS_MT_POSITION_X    1924
E: 0.152014 0003 0036 0581	# EV_ABS / ABS_MT_POSITION_Y    581
E: 0.152014 0003 0000 1924	# EV_ABS / ABS_X                1924
E: 0.152014 0003 0001 0581	# EV_ABS / ABS_Y                581
E: 0.152014 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.163993 0003 0035 1916	# EV_ABS / ABS_MT_POSITION_X    1916
E: 0.163993 0003 0036 0592	# EV_ABS / ABS_MT_POSITION_Y    592
E: 0.163993 0003 0000 1916	# EV_ABS / ABS_X                1916
E: 0.163993 0003 0001 0592	# EV_ABS / ABS_Y                592
E: 0.163993 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.171992 0003 0035 1913	# EV_ABS / ABS_MT_POSITION_X    1913
E: 0.171992 0003 0036 0603	# EV_ABS / ABS_MT_POSITION_Y    603
E: 0.171992 0003 0000 1913	# EV_ABS / ABS_X                1913
E: 0.171992 0003 0001 0603	# EV_ABS / ABS_Y                603
E: 0.171992 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.183989 0003 0035 1903	# EV_ABS / ABS_MT_POSITION_X    1903
E: 0.183989 0003 0036 0616	# EV_ABS / ABS_MT_POSITION_Y    616
E: 0.183989 0003 0000 1903	# EV_ABS / ABS_X                1903
E: 0.183989 0003 0001 0616	# EV_ABS / ABS_Y                616
E: 0.183989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.191987 0003 0035 1895	# EV_ABS / ABS_MT_POSITION_X    1895
E: 0.191987 0003 0036 0631	# EV_ABS / ABS_MT_POSITION_Y    631
E: 0.191987 0003 0000 1895	# EV_ABS / ABS_X                1895
E: 0.191987 0003 0001 0631	# EV_ABS / ABS_Y                631
E: 0.191987 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.203990 0003 0035 1887	# EV_ABS / ABS_MT_POSITION_X    1887
E: 0.203990 0003 0036 0646	# EV_ABS / ABS_MT_POSITION_Y    646
E: 0.203990 0003 0000 1887	# EV_ABS / ABS_X                1887
E: 0.203990 0003 0001 0646	# EV_ABS / ABS_Y                646
E: 0.203990 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.211988 0003 0035 1877	# EV_ABS / ABS_MT_POSITION_X    1877
E: 0.211988 0003 0036 0663	# EV_ABS / ABS_MT_POSITION_Y    663
E: 0.211988 0003 0000 1877	# EV_ABS / ABS_X                1877
E: 0.211988 0003 0001 0663	# EV_ABS / ABS_Y                663
E: 0.211988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.223989 0003 0035 1865	# EV_ABS / ABS_MT_POSITION_X    1865
E: 0.223989 0003 0036 0682	# EV_ABS / ABS_MT_POSITION_Y    682
E: 0.223989 0003 0000 1865	# EV_ABS / ABS_X                1865
E: 0.223989 0003 0001 0682	# EV_ABS / ABS_Y                682
E: 0.223989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.231988 0003 0035 1854	# EV_ABS / ABS_MT_POSITION_X    1854
E: 0.231988 0003 0036 0702	# EV_ABS / ABS_MT_POSITION_Y    702
E: 0.231988 0003 0000 1854	# EV_ABS / ABS_X                1854
E: 0.231988 0003 0001 0702	# EV_ABS / ABS_Y                702
E: 0.231988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.243989 0003 0035 1842	# EV_ABS / ABS_MT_POSITION_X    1842
E: 0.243989 0003 0036 0723	# EV_ABS / ABS_MT_POSITION_Y    723
E: 0.243989 0003 0000 1842	# EV_ABS / ABS_X                1842
E: 0.243989 0003 0001 0723	# EV_ABS / ABS_Y                723
E: 0.243989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.251988 0003 0035 1830	# EV_ABS / ABS_MT_POSITION_X    1830
E: 0.251988 0003 0036 0745	# EV_ABS / ABS_MT_POSITION_Y    745
E: 0.251988 0003 0000 1830	# EV_ABS / ABS_X                1830
E: 0.251988 0003 0001 0745	# EV_ABS / ABS_Y                745
E: 0.251988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.263989 0003 0035 1818	# EV_ABS / ABS_MT_POSITION_X    1818
E: 0.263989 0003 0036 0767	# EV_ABS / ABS_MT_POSITION_Y    767
E: 0.263989 0003 0000 1818	# EV_ABS / ABS_X                1818
E: 0.263989 0003 0001 0767	# EV_ABS / ABS_Y                767
E: 0.263989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.271988 0003 0035 1806	# EV_ABS / ABS_MT_POSITION_X    1806
E: 0.271988 0003 0036 0789	# EV_ABS / ABS_MT_POSITION_Y    789
E: 0.271988 0003 0000 1806	# EV_ABS / ABS_X                1806
E: 0.271988 0003 0001 0789	# EV_ABS / ABS_Y                789
E: 0.271988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.283989 0003 0035 1793	# EV_ABS / ABS_MT_POSITION_X    1793
E: 0.283989 0003 0036 0811	# EV_ABS / ABS_MT_POSITION_Y    811
E: 0.283989 0003 0000 1793	# EV_ABS / ABS_X                1793
E: 0.283989 0003 0001 0811	# EV_ABS / ABS_Y                811
E: 0.283989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.291990 0003 0035 1782	# EV_ABS / ABS_MT_POSITION_X    1782
E: 0.291990 0003 0036 0832	# EV_ABS / ABS_MT_POSITION_Y    832
E: 0.291990 0003 0000 1782	# EV_ABS / ABS_X                1782
E: 0.291990 0003 0001 0832	# EV_ABS / ABS_Y                832
E: 0.291990 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.303989 0003 0035 1772	# EV_ABS / ABS_MT_POSITION_X    1772
E: 0.303989 0003 0036 0852	# EV_ABS / ABS_MT_POSITION_Y    852
E: 0.303989 0003 0000 1772	# EV_ABS / ABS_X                1772
E: 0.303989 0003 0001 0852	# EV_ABS / ABS_Y                852
E: 0.303989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.311986 0003 0035 1763	# EV_ABS / ABS_MT_POSITION_X    1763
E: 0.311986 0003 0036 0869	# EV_ABS / ABS_MT_POSITION_Y    869
E: 0.311986 0003 0000 1763	# EV_ABS / ABS_X                1763
E: 0.311986 0003 0001 0869	# EV_ABS / ABS_Y                869
E: 0.311986 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.323989 0003 0035 1754	# EV_ABS / ABS_MT_POSITION_X    1754
E: 0.323989 0003 0036 0886	# EV_ABS / ABS_MT_POSITION_Y    886
E: 0.323989 0003 0000 1754	# EV_ABS / ABS_X                1754
E: 0.323989 0003 0001 0886	# EV_ABS / ABS_Y                886
E: 0.323989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.331988 0003 0035 1750	# EV_ABS / ABS_MT_POSITION_X    1750
E: 0.331988 0003 0036 0900	# EV_ABS / ABS_MT_POSITION_Y    900
E: 0.331988 0003 0000 1750	# EV_ABS / ABS_X                1750
E: 0.331988 0003 0001 0900	# EV_ABS / ABS_Y                900
E: 0.331988 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.343987 0003 0035 1741	# EV_ABS / ABS_MT_POSITION_X    1741
E: 0.343987 0003 0036 0913	# EV_ABS / ABS_MT_POSITION_Y    913
E: 0.343987 0003 0000 1741	# EV_ABS / ABS_X                1741
E: 0.343987 0003 0001 0913	# EV_ABS / ABS_Y                913
E: 0.343987 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.351987 0003 0035 1739	# EV_ABS / ABS_MT_POSITION_X    1739
E: 0.351987 0003 0036 0923	# EV_ABS / ABS_MT_POSITION_Y    923
E: 0.351987 0003 0000 1739	# EV_ABS / ABS_X                1739
E: 0.351987 0003 0001 0923	# EV_ABS / ABS_Y                923
E: 0.351987 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.363989 0003 0035 1735	# EV_ABS / ABS_MT_POSITION_X    1735
E: 0.363989 0003 0036 0933	# EV_ABS / ABS_MT_POSITION_Y    933
E: 0.363989 0003 0000 1735	# EV_ABS / ABS_X                1735
E: 0.363989 0003 0001 0933	# EV_ABS / ABS_Y                933
E: 0.363989 0000 0000 0000	# ------------ SYN_REPORT (0) ----------
E: 0.383987 0003 0039 -001	# EV_ABS / ABS_MT_TRACKING_ID   -1
E: 0.383987 0001 014a 0000	# EV_KEY / BTN_TOUCH            0
E: 0.383987 0000 0000 0000	# ------------ SYN_REPORT (0) ----------

Comment 8 Peter Hutterer 2015-04-21 06:18:30 UTC
The touch device not working was caused by libwacom labelling the device as touchpad which caused libinput to wait for events that never came from this device. Fix for that coming up in a minute.

Comment 9 Fedora Update System 2015-04-21 06:25:56 UTC
libwacom-0.13-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libwacom-0.13-2.fc22

Comment 10 Colin Macdonald 2015-04-24 21:22:17 UTC
Recap: my wacom pen now seems to be enabled in Gnome as well.  I don't *think* it was this particular update that did (but I could be wrong).

Only thing not working is pen input at the Wayland login screen...  Perhaps I should file another bug about that.  Then I'll close this.

Comment 11 Colin Macdonald 2015-04-24 21:35:03 UTC
New bug about login screen is #1215279.

Comment 12 Fedora Update System 2015-04-26 12:58:26 UTC
libwacom-0.13-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.